
Prelude Manager - Bug #306

ev.c error during build of prelude-manager

08/19/2008 06:10 PM - 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.15   

Resolution: fixed   

Description

Running on SLES 10 SP2

configure works fine, but make fails.

Making all in libev

maker2: Entering directory @/root/prelude/prelude-manager-0.9.14.1/libev'

if /bin/sh ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I..   -pthread  -g -O2 

-MT ev.lo -MD -MP -MF ".deps/ev.Tpo" -c -o ev.lo ev.c; \

then mv -f ".deps/ev.Tpo" ".deps/ev.Plo"; else rm -f ".deps/ev.Tpo"; exit 1; fi

mkdir .libs

 gcc -DHAVE_CONFIG_H -I. -I. -I.. -pthread -g -O2 -MT ev.lo -MD -MP -MF .deps/ev.Tpo -c ev.c  -fPI

C -DPIC -o .libs/ev.o

ev.c:333:1: warning: "noinline" redefined

In file included from /usr/include/asm/sigcontext.h:11,

                 from /usr/include/bits/sigcontext.h:28,

                 from /usr/include/signal.h:333,

                 from ev.c:146:

/usr/include/linux/compiler.h:149:1: warning: this is the location of the previous definition

ev.c: In function

History

#1 - 08/21/2008 10:58 AM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#2 - 08/21/2008 11:36 AM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to fixed

(In r10894) Correctly disable libev unused features (fix #306).

#3 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prelude Manager

- Category deleted (3)

- Target version deleted (85)

#4 - 04/30/2009 01:28 PM - Yoann VANDOORSELAERE

- Target version set to 0.9.15
